> For the complete documentation index, see [llms.txt](https://docs.jgscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jgscripts.com/hud/integrations/third-party-seatbelts.md).

# Third-Party Seatbelts

{% hint style="success" %}
The seatbelt key bind, button in the F6 vehicle control menu, sound effects, and indicator light within JG HUD will still work when using a third party seatbelt integration!
{% endhint %}

1. Within `config.lua`, set `Config.UseCustomSeatbeltIntegration = true`. Ensure that `Config.EnableSeatbelt = true`, or it won't work.&#x20;
2. Head to `framework/cl-functions.lua`, and find `Framework.Client.ToggleSeatbelt`. There are two parameters, `vehicle` & `seatbeltOn`. `seatbeltOn` will be equal to true if the seatbelt has been enabled, otherwise it will be false. If you have multiple exports, one for enabling the seatbelt and one for disabling, you will have to use `seatbeltOn` in an if statement; for example:

```lua
if seatbeltOn then
  exports["my_seatbelt_script"]:enableSeatbelt()
else
  exports["my_seatbelt_script"]:disableSeatbelt()
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jgscripts.com/hud/integrations/third-party-seatbelts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
